Bug 190304 - Review Request: mtd-utils
Review Request: mtd-utils
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Woodhouse
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-04-30 17:27 EDT by David Woodhouse
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-02 08:30:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Woodhouse 2006-04-30 17:27:27 EDT
Spec URL: ftp://ftp.infradead.org/pub/mtd-utils/mtd-utils.spec
SRPM URL: ftp://ftp.infradead.org/pub/mtd-utils/mtd-utils-1.0.0-1.src.rpm
Description: Utilities for dealing with MTD (flash) devices.
Comment 1 Josh Boyer 2006-05-01 11:57:47 EDT
I'll review this tonight.  At first glance, it seems fine.
Comment 2 Josh Boyer 2006-05-01 20:18:05 EDT
Completed MUST items:

- rpmlint output:

[jwboyer@vader i386]$ rpmlint -v mtd-utils-1.0.0-1.i386.rpm
I: mtd-utils checking
[jwboyer@vader i386]$

- named according to the Package Naming guidlines
- spec file name matches %{name}.spec
- meets Packaging Guidelines
- licensed under the GPL
- License: field matches
- MUST: If (and only if) the source package includes the text of the license(s)
in its own file, then that file, containing the text of the license(s) for the
package must be included in %doc.
- source SHA1 sum matches upstream
- compiles and builds on x86

Two small nits:

- The package should probably throw a Requires: zlib and BuildRequires:
zlib-devel in the spec file.
- The upstream source lacks a copy of the license text.  It would be nice if the
upstream source could include this at some point, but is not required.

I'm assuming David will fixup the zlib issues.  After that is done, I consider
this approved.
Comment 3 David Woodhouse 2006-05-02 08:30:32 EDT
Added BuildRequires: zlib-devel
Added COPYING (and also upstream from your git tree)
Not added Requires: zlib since that's automatic.
Imported and built. Thanks.

Note You need to log in before you can comment on or make changes to this bug.